/* Animationen  */



@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.mein_fade_in {
  animation: fadeInUp 1s ease-out forwards;
}

@keyframes slideInLeft {
  from {
    opacity: 0;
    transform: translateX(-50px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.mein_slide_links {
  animation: slideInLeft 0.8s ease forwards;
}

@keyframes slideInRight {
  from {
    opacity: 0;
    transform: translateX(50px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.mein_slide_rechts {
  animation: slideInRight 0.8s ease forwards;
}

@keyframes slideInOben {
  from {
    opacity: 0;
    transform: translateY(-50px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.mein_slide_oben {
  animation: slideInOben 0.8s ease forwards;
}



@keyframes pulse {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.05);
    }
    100% {
        transform: scale(1);
    }
}

.puls-bild {
    animation: pulse 2s infinite ease-in-out;
}

/* Ende Animationen  */


.clear {
    clear: both;
}

.sticky-top {
    top: 0px;
}

.position-sticky {
    position: sticky!important;
}

.sticky-bottom, .sticky-top {
    position: sticky;
    z-index: 1020;
}



/* Responsive - schmaler Bildschirm   */
@media (width < 992px) {
    .site-grid {
      grid-template-areas: ". banner banner banner banner ."
                         ". top-a top-a top-a top-a ."
                         ". top-b top-b top-b top-b ."
                         ". side-l side-l side-l side-l ."                 
                         ". comp comp comp comp ."
                         ". side-r side-r side-r side-r ."               
                         ". bot-a bot-a bot-a bot-a ."
                         ". bot-b bot-b bot-b bot-b .";
    }
  }

@media (width <992px) {
  .container-header .container-nav .container-search, .container-header .container-nav nav {
    margin-top: -8em;
    margin-left: 15em;
    display: flow-root;
    width: 145px;
  }
}

@media (width <= 767.98px) {
  .container-header .container-nav .container-search, .container-header .container-nav nav {
    margin-top: -8em;
   }
}

.metismenu.mod-menu .metismenu-item {
  flex-wrap: wrap;
  align-items: center;
  padding-top: 0.5em;
  padding-bottom: 0.5em;
  padding-right: 1.5em; 
  padding-left: 0.5em;  
  font-size: 1.1rem;
  line-height: 1.5;
  display: flex;
}

.navbar-toggler:focus {
  box-shadow: none;
  outline: 0;
  text-decoration: none;
}

/* Ende Responsive - schmaler Bildschirm   */


/* Logo im Header: */
.logo {
  padding-left: 30%;
}

.logo img {
  border: none;
  width: 280px;
  height: auto;
  border-radius: 11px 11px 11px 11px;
  box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
  display: inline-block;
  vertical-align: middle;
}

.brand-logo img {
  border: none;
  width: 200px;
  height: auto;
  border-radius: 11px 11px 11px 11px;
  box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
  display: inline-block;
  vertical-align: middle;
}

/* Ende Logo  */

/* Hauptmenue:  */

.container-header  {
    padding-left: 0.5em;
    padding-right: 0.5em;
    padding-top: 0.5em;
}

.container-header nav {
  margin-top: -4.5em;
  padding: 0;
}

.container-header .container-nav {
  flex-wrap: wrap;
  padding-bottom: 1em;
  justify-content: right;  
}

.container-header .navbar-brand {
  color: #fff;
  margin-inline-end: auto;
  padding-top: .3125rem;
  font-size: 2rem;
  display: inline-block;
  position: relative;
}

.container-header .navbar-toggler {
  color: #f7a500;
  cursor: pointer;
  border: 2px solid #f7a500;
}

.navbar .navbar-toggler {
  /* justify-content: left; */
}

/* bei Click mit Maus kein schwarzer Rahmen um Menüpunkt (auch bei Seitenmenü): */
.metismenu.mod-menu .metismenu-item a:focus:not(:focus-visible) {
    outline: none !important;
    box-shadow: none !important;
}

.metismenu.mod-menu .metismenu-item > a:active, .metismenu.mod-menu .metismenu-item > button:active {
  outline-offset: 2px;
  outline: 2px solid;
  color: #f7a500;
}

.container-header .metismenu > li.active > a  {
   color: #f7a500;
}

a:focus-visible, .metismenu.mod-menu .metismenu-item > a:focus, .metismenu.mod-menu .metismenu-item > button:focus {
  outline-offset: 2px;
  outline: 1px solid;
}

.metismenu.mod-menu .metismenu-item > a:focus, .metismenu.mod-menu .metismenu-item > button:focus {
  outline-offset: 2px;
  outline: 1px dotted #ced4da;
}

/* Ende Hauptmenue  */



/* Footer-Menue: */

.footer {
  color: #fff;
  background-color: #f7a500;
  background-image: none; 
  margin-top: 1em;
}

.container-footer {
  color: var(--footercolor);
  background-color: rgb(247, 165, 0);
  background-image: none;
}

.footer .grid-child {
  justify-content: center;
  padding-right: 0.5em;
  padding-left: 0.5em;
  padding-bottom: 0.2em;
  padding-top: 0.2em;
}  

/* Ende Footer-Menue */

/* Seiten-Menü:  */

.sidebar-left .metismenu .metismenu-item > a:active {
  text-decoration: none;
}

.sidebar-left .metismenu.mod-menu .metismenu-item.active > a {
  text-decoration: none;
}

.sidebar-left .metismenu.mod-menu .metismenu-item.current > a {
  /* color:#f7a500; */ /*orange*/
  text-decoration: underline;
}

.sidebar-left .metismenu.mod-menu .metismenu-item > a {
  color:#505050; /*dunkelgrau*/ 
  text-decoration: none;
}

/* Ende Seitenmenü  */

/* Sidebar - Höhe anpassen */
.container-sidebar-left .sidebar-left:first-child {
  margin-top: 2em;
}

.container-sidebar-right .sidebar-right:first-child {
  margin-top: 2em;
}

/* Ende Sidebar left - Höhe anpassen */


/* Formatierung Content: */

@media (min-width: 1200px) {
  .container-component {
    width: 1170px;
  }
}

@media (min-width: 992px) {
  .container-component {
    width: 970px;
  }
}

@media (min-width: 768px) {
  .container-component {
    width: 750px;
  }
}

.container-component  {
  margin-right: auto;
  margin-left: auto;
  /* padding-left: 15px; */
  /* padding-right: 15px;  */
}

.container-component > * + *  {
  margin-top: 2em;
}

.container-component > :first-child {
  margin-top: 2em;
}

/* Ende Formatierung Content */


/* Formatierung Module im Content:  */
p {
  margin: 0 0 10px;
}

.panel-body {
  padding: 15px;
}

.panel .panel-border-primary {
  border-left-color: #f7a500;
  border-left-width: 5px;
}

.panel-default {
  border-color: #ddd;
    border-left-color: rgb(221, 221, 221);
}

/* doppelt:
.panel {
  -webkit-box-shadow: 0 1px 4px rgba(0,0,0,0.14);
  box-shadow: 0 1px 4px rgba(0,0,0,0.14);
}
*/

.panel {
  margin-bottom: 20px;
  background-color: #fff;
  border: 1px solid #ddd;
    border-top-color: #ddd;
    border-right-color: #ddd;
    border-bottom-color: #ddd;
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 1px rgba(0,0,0,0.05);
    box-shadow: 0 1px 1px rgba(0,0,0,0.05);
}

.panel-default > .panel-heading {
  color: #333;
  background-color: #f5f5f5;
  border-color: #ddd;
}

.panel-heading {
  padding: 5px 15px 2px 15px;
  border-bottom: 1px solid transparent;
  border-bottom-color: transparent;
  border-top-right-radius: 3px;
  border-top-left-radius: 3px;
}

.panel .panel-heading h3 {
  margin: 5px 0;
} 

.panel .panel-text {
  margin-left: 15px;
}

.panel_schmal {
  max-width: 1000px;
  margin-left: auto;
  margin-right: auto;
}

/* Seite Kontakte:  */
.kontakt_box {
  padding-top: 10px !important;
  display: table;
}

.kontakt_links {
  position: relative;
  width: 40%;
  float: left;
  min-height: 1px;
  padding-left: 15px;
  padding-right: 15px;  
}

.kontakt_rechts {
  position: relative;
  width: 40%;
  float: right;
  min-height: 1px;
  padding-left: 15px;
  padding-right: 15px;  
}

@media (width <= 992px) {
.kontakt_links {
  position: relative;
  width: 90%;
  float: none;
  min-height: 1px;
  padding-left: 15px;
  padding-right: 15px;  
}
.kontakt_rechts {
  position: relative;
  width: 90%;
  float: none;
  min-height: 1px;
  padding-left: 15px;
  padding-right: 15px;  
  padding-top: 20px;
}

.kontakt_rechts img {
  width: 50%;
}  
}  

.row {
  --gutter-x: 1em;
  --gutter-y: 0;
  margin-top: calc(-1 * var(--gutter-y));
  margin-right: calc(-.5 * var(--gutter-x));
  margin-left: calc(-.5 * var(--gutter-x));
  flex-wrap: wrap;
  display: flex;
}

.list-unstyled {
  padding-left: 0;
  list-style: none;
}

li > a, li > span > a, a {
  color: #f7a500;
  text-decoration: none;
}

.link_kontakt {
  color: #000;
  text-decoration: none;
}

.link_kontakt:hover {
  color: #f7a500;
  text-decoration: underline;
}

.text_kontakt {
  color: #f7a500;
  text-decoration: none;
}

.img-thumbnail {
  padding: 4px;
  line-height: 1.42857143;
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 4px;
  -webkit-transition: all .2s ease-in-out;
  -o-transition: all .2s ease-in-out;
  transition: all .2s ease-in-out;
  display: inline-block;
  max-width: 100%;
  height: auto;
}

.img-circle {
  border-radius: 50%;
}

.pull-left {
  float: left;
}

.thumb-lg {
  height: 6em;
  width: 6em;
  margin-right: 2em;
}

.img-responsive, .thumbnail > img, .thumbnail a > img, .carousel-inner > .item > img, .carousel-inner > .item > a > img {
  display: block;
  max-width: 70%;
  height: auto;
}

/* Ende Seite Kontakte  */


/* Ende Formatierung Module im Content:  */

/* Box Leistungen:  */ 
.leistungen {
  display: flex; /* Ordnet die divs nebeneinander an und macht sie gleich hoch */
  /* gap: 20px; */    /* Optional: Abstand zwischen den Boxen */
  justify-content: space-around;
}

.box_1, .box_2 {
  /* background: #f0f0f0;  */
  /* padding-top: 20px; */
  /* padding-bottom: 20px; */
  display: flex;
  flex-direction: column;
  align-items:center;
}

.boxed .blog-item {
  box-shadow: 0 0 2px #3339421a, 0 2px 5px #33394214, 0 5px 15px #33394214, inset 0 3px 0 rgb(247, 165, 0);
  background-color: #fff;
}

.box_1 img {
  height=70px !important;
}

.box_2 img {
  height=70px !important;
}
/* Ende Box Leistungen:  */ 

